<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:background="@color/transparent"
        android:layout_height="match_parent">

        <androidx.cardview.widget.CardView
            android:layout_width="900dp"
            android:layout_height="wrap_content"
            android:layout_margin="100dp"
            app:cardCornerRadius="20dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20dp">

                <ImageView
                    android:id="@+id/iv_dialog_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="30dp"
                    android:src="@mipmap/cancel"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:layout_margin="30dp"
                    android:text="@string/air_conditioning_learn_test"
                    android:textColor="#38ADFF"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:id="@+id/linearLayout19"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_title">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="空调品牌" />

                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/til_input"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="50dp"
                            android:layout_weight="1"
                            android:hint="@string/brand_name">

                            <com.google.android.material.textfield.TextInputEditText
                                android:id="@+id/et_air_condition_brand"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:imeOptions="actionDone"
                                android:inputType="text|textMultiLine"
                                android:maxLines="1" />

                        </com.google.android.material.textfield.TextInputLayout>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="25dp"
                            android:text="空调型号" />

                        <com.google.android.material.textfield.TextInputLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="25dp"
                            android:layout_weight="1"
                            android:hint="@string/model_name">

                            <com.google.android.material.textfield.TextInputEditText
                                android:id="@+id/et_air_condition_model"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:imeOptions="actionDone"
                                android:inputType="text"
                                android:maxLines="1" />

                        </com.google.android.material.textfield.TextInputLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginVertical="20dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="基础指令" />

                        <com.google.android.material.button.MaterialButtonToggleGroup
                            android:id="@+id/toggleButton1"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="50dp"
                            app:checkedButton="@+id/btn_power_on"
                            app:selectionRequired="false"
                            app:singleSelection="true">

                            <Button
                                android:id="@+id/btn_power_on"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/power_on"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_power_off"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/power_off"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_heat"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/heat"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_refrigeration"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/refrigeration"
                                app:toggleCheckedStateOnClick="false" />

                        </com.google.android.material.button.MaterialButtonToggleGroup>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="温度指令" />

                        <com.google.android.material.button.MaterialButtonToggleGroup
                            android:id="@+id/toggleButton2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="50dp"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/linearLayout3"
                            app:selectionRequired="false"
                            app:singleSelection="true">

                            <Button
                                android:id="@+id/btn_temperature_heat"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/heat"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_temperature_auto"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/auto"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_temperature_refrigeration"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/refrigeration"
                                app:toggleCheckedStateOnClick="false" />
                            <Button
                                android:id="@+id/btn_dehumidify"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/dehumidify"
                                app:toggleCheckedStateOnClick="false" />
                        </com.google.android.material.button.MaterialButtonToggleGroup>

                        <com.google.android.material.button.MaterialButtonToggleGroup
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/linearLayout3"
                            app:selectionRequired="false"
                            app:singleSelection="false">

                            <Button
                                android:id="@+id/btn_minus"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/minus"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_temperature"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="30"
                                android:clickable="false"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_plus"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/plus"
                                app:toggleCheckedStateOnClick="false" />

                        </com.google.android.material.button.MaterialButtonToggleGroup>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginVertical="10dp"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/tv_instruction"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:ellipsize="end"
                            android:maxLines="1" />

                        <com.google.android.material.button.MaterialButtonToggleGroup
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:gravity="center"
                            app:selectionRequired="false"
                            app:singleSelection="false">

                            <Button
                                android:id="@+id/btn_refresh"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/refresh"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_test"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/test"
                                app:toggleCheckedStateOnClick="false" />

                        </com.google.android.material.button.MaterialButtonToggleGroup>

                    </LinearLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <com.google.android.material.button.MaterialButtonToggleGroup
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="20dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:selectionRequired="false"
                            app:singleSelection="false">

                            <Button
                                android:id="@+id/btn_learn"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/learn"
                                app:toggleCheckedStateOnClick="false" />

                            <Button
                                android:id="@+id/btn_cancel_learn"
                                style="?attr/materialButtonOutlinedStyle"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/cancel_learn"
                                app:toggleCheckedStateOnClick="false" />

                        </com.google.android.material.button.MaterialButtonToggleGroup>


                        <LinearLayout
                            android:id="@+id/linearLayout2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="20dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent">

                            <Button
                                android:id="@+id/btn_upload"
                                style="@style/Widget.Material3.Button.OutlinedButton"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginHorizontal="10dp"
                                android:paddingHorizontal="40dp"
                                android:paddingVertical="10dp"
                                android:text="@string/upload" />

                            <Button
                                android:id="@+id/btn_yes"
                                style="@style/Widget.Material3.Button.OutlinedButton"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:paddingHorizontal="40dp"
                                android:paddingVertical="10dp"
                                android:text="@string/yes" />

                        </LinearLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>